%define Werror_cflags %nil

%define major 0
%define libname %mklibname gnome-media-profiles %major

%define develname %mklibname -d gnome-media-profiles

%define oldlib    %mklibname gnome-media 0
%define olddevel  %mklibname -d gnome-media

%define schemas gnome-media-profiles

Name:           libgnome-media-profiles
Version:        3.0.0
Release:        %mkrel 8
Summary:        GNOME Media Profiles library

Group:          Graphical desktop/GNOME 
License:        LGPLv2+
URL:            http://git.gnome.org/browse/libgnome-media-profiles
Source0:        http://download.gnome.org/sources/%{name}/3.0/%{name}-%{version}.tar.bz2

BuildRequires: gtk+3-devel >= 2.99.0
BuildRequires: libGConf2-devel glib2-devel
BuildRequires: intltool
BuildRequires: gnome-doc-utils
BuildRequires: gstreamer0.10-devel

Conflicts:     gnome-media < 2.91.2

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
The GNOME Media Profiles library provides prebuilt GStreamer pipelines
for applications aiming to support different sound formats.

%preun
%preun_uninstall_gconf_schemas %{schemas}

%files -f libgnome-media-profiles.lang -f gnome-audio-profiles.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/gnome-audio-profiles-properties
%{_sysconfdir}/gconf/schemas/gnome-media-profiles.schemas
%{_datadir}/libgnome-media-profiles
%{_datadir}/omf/gnome-audio-profiles/

#--------------------------------------------------------------------

%package -n %{libname}
Summary:        Library for the %name
Group:          System/Libraries

%description -n %{libname}
Library for the %name

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/libgnome-media-profiles-3.0.so.%{major}*

#--------------------------------------------------------------------

%package        -n %develname
Summary:        Development files for %{name}
Group:          Development/GNOME and GTK+ 
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{olddevel} < %{version}-%{release}

%description    -n %develname
The %{name}-devel package contains libraries and header files
for developing applications that use %{name}.

%files -n %develname
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgnome-media-profiles-3.0.pc

#--------------------------------------------------------------------

%prep
%setup -q


%build
%configure --disable-static --disable-schemas-install --disable-scrollkeeper
%make


%install
%makeinstall_std
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang libgnome-media-profiles
%find_lang gnome-audio-profiles --with-gnome



%changelog
* Thu Jun 16 2011 dmorgan <dmorgan> 3.0.0-8.mga2
+ Revision: 108134
- Obsolete gnome-media-devel
- Add conflict to help upgrade

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.0-6.mga2
+ Revision: 107919
- Remove wrong obsoletes

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.0-5.mga2
+ Revision: 107890
- Provides gnome-media-devel

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.0-3.mga2
+ Revision: 107772
- Add more provides / Obsoletes

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.0-2.mga2
+ Revision: 107762
- Add obsoletes to ease upgrade
  Use rpm macros
- Fix copy/paste

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 107280
- Add gstreamer as buildrequire
- imported package libgnome-media-profiles


* Mon Apr 04 2011 Bastien Nocera <bnocera@redhat.com> 3.0.0-1
- Update to 3.0.0

* Thu Feb 10 2011 Matthias Clasen <mclasen@redhat.com> 2.91.2-15
- Rebuild for newer gtk

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.91.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb 05 2011 Bastien Nocera <bnocera@redhat.com> 2.91.2-13
- Really rebuild against newer gtk

* Wed Feb  2 2011 Matthias Clasen <mclasen@redhat.com> 2.91.2-12
- Rebuild against newer gtk

* Fri Jan  7 2011 Matthias Clasen <mclasen@redhat.com> 2.91.2-11
- Rebuild against new gtk

* Fri Dec  3 2010 Matthias Clasen <mclasen@redhat.com> 2.91.2-10
- Rebuild against new gtk

* Mon Nov 15 2010 Bastien Nocera <bnocera@redhat.com> 2.91.2-9
- Add distro to release number for the obsoletes because RPM's
  comparisons suck

* Fri Nov 12 2010 Bastien Nocera <bnocera@redhat.com> 2.91.2-8
- Fix wrongly versioned provides

* Fri Nov 12 2010 Bastien Nocera <bnocera@redhat.com> 2.91.2-7
- Add obsoletes for gnome-media-libs as well

* Fri Nov 12 2010 Yanko Kaneti <yaneti@declera.com> 2.91.2-6
- --disable-scrollkeeper and not BR it

* Thu Nov 11 2010 Yanko Kaneti <yaneti@declera.com> 2.91.2-5
- Add gnome-media-devel provides to devel

* Thu Nov 11 2010 Yanko Kaneti <yaneti@declera.com> 2.91.2-4
- Add gnome-media-devel obsoletes to devel

* Thu Nov 11 2010 Yanko Kaneti <yaneti@declera.com> 2.91.2-3
- Shorten the devel description.

* Thu Nov 10 2010 Yanko Kaneti <yaneti@declera.com> 2.91.2-2
- Add some BRs so that it actually builds in mock.

* Thu Nov 10 2010 Yanko Kaneti <yaneti@declera.com> 2.91.2-1
- First attempt for review.

